;--------------------------------;
;   Gigatron + LCD_LM016L.ASM    ;
;          05.09.2020            ;
;                                ;
;  CLC = 100Hz, T = 0,01S = 10mS ;
;  .                             ;
; 0FFH -  ...   ;
;--------------------------------;

;0123456789012345
;> The Gigatron <
;Press any key...

    ORG  0000H;
START:
    DB    08H, 00H;  LDA 00H
    DB    1AH, 0FFH; LD  AC,OUT - clear port
;-------------
    DB    0EH, 0FFH; NOP - Delay
    DB    0EH, 0FFH; NOP - 20 mS
    DB    0EH, 0FFH; NOP
;-------------
    DB    08H, 30H;  LDA 30H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 30H;  LDA 30H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    0EH, 0FFH; NOP - Delay
    DB    0EH, 0FFH; NOP - 20 mS
    DB    0EH, 0FFH; NOP
    DB    0EH, 0FFH; NOP - Delay
    DB    0EH, 0FFH; NOP - 20 mS
    DB    0EH, 0FFH; NOP
;-------------
    DB    08H, 30H;  LDA 30H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 20H;  LDA 20H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 20H;  LDA 20H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 0C0H; LDA 0C0H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 00H;  LDA 00H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 0F0H; LDA 0F0H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
CLS:
    DB    08H, 00H;  LDA 00H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 10H;  LDA 10H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 08H;  LDA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
;-------------
    DB    08H, '>';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, '>';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'T';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'T';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'h';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'h';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'e';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'e';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'G';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'G';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'I';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'I';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'G';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'G';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'A';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'A';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'T';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'T';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'R';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'R';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'O';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'O';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'N';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'N';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, '<';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, '<';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 00H;  LDA 08H = 0000.1000 CMD LOW
    DB    1AH, 0FFH; LD  AC,OUT
;-------------
    DB    08H, 0C0H; LDA 30H ; Poz at 2-nd line
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 00H;  LDA 00H
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 08H;  LDA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
;-------------
    DB    08H, 'P';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'P';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'r';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'r';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'e';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'e';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 's';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 's';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 's';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 's';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'a';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'a';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'n';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'n';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'y';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'y';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, ' ';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'k';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'k';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'e';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'e';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 'y';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, 'y';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, '.';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, '.';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, '.';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, '.';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, '.';  LDA 'Symb'
    DB    2CH, 0F0H; ANI 0F0H = 11110000 HIGH NIBBLE
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause

    DB    08H, '.';  LDA 'Symb'
    DB    2CH, 0FH;  ANI 0FH = 00001111 LOW NIBBLE
    DB    8EH, 0FFH; ADD  AC
    DB    8EH, 0FFH; ADD  AC MAKE IT HIGH NIBBLE
    DB    8EH, 0FFH; ADD  AC 'RLC' ANALOG
    DB    8EH, 0FFH; ADD  AC
    DB    4CH, 08H;  ORA 08H = 0000.1000 DAT UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 0CH;  ORA 0CH = 0000.1100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0F3H = 11110011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 00H;  LDA 00H = 0000.1000 CMD LOW
    DB    1AH, 0FFH; LD  AC,OUT
;-------------
    DB    08H, 0C0H; LDA 0C0H ; Poz at 2-nd line
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 0F0H; LDA 0F0H ; Poz 15
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    4CH, 04H;  ORA 04H = 0000.0100 STB UP
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
    DB    2CH, 0FBH; ANI 0FBH = 11111011 STB DN
    DB    1AH, 0FFH; LD  AC,OUT
    DB    0EH, 0FFH; NOP - pause
;-------------
    DB    08H, 00H;  LDA 00H = 0000.1000 CMD LOW
    DB    1AH, 0FFH; LD  AC,OUT
;-------------
INP:
    DB    0BH, 0FFH; LDA IN ; 0FFH - not pressed
    DB    0A0H,0FFH; SUB 0FFH
    DB    0EH, 0FFH; NOP
    DB    0F0H,0D3H; BEQ INP; =0F0 =/=0ECH
    DB    0EH, 0FFH; NOP after JMP
    DB    14H, 00H;  LD  00H,Y
    DB    0E0H,53H;  JMP  Y,CLS
    DB    0EH, 0A2H; NOP after JMP

;-------------
    DB    01H, 0FFH;
    DB    01H, 0FFH;
    DB    01H, 0FFH;
    DB    01H, 0FFH;
    DB    01H, 0FFH;
    DB    01H, 0FFH;
    DB    01H, 0FFH;
    DB    01H, 0FFH;
    DB    01H, 0FFH;

    END

;---------------------------------------